---
editUrl: false
next: false
prev: false
title: "Plugin"
---

## Extended by

- [`InitPlugin`](/v4/api/interfaces/initplugin/)
- [`ControlPlugin`](/v4/api/interfaces/controlplugin/)

## Type parameters

• **Args** *extends* `any`[] = `any`[]

## Properties

### execute()

> **execute**: (...`args`) => [`PluginResult`](/v4/api/type-aliases/pluginresult/)

#### Parameters

• ...**args**: `Args`

#### Returns

[`PluginResult`](/v4/api/type-aliases/pluginresult/)

#### Source

[src/types/core-plugin.ts:43](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/types/core-plugin.ts#L43)

***

### type

> **type**: [`PluginType`](/v4/api/enumerations/plugintype/)

#### Source

[src/types/core-plugin.ts:42](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/types/core-plugin.ts#L42)
